TRANSMUTE(1)

NAME
transmute - transform XML, JSON, and URL data

SYNOPSIS
transmute (edirect -tmute) [-]escape|[-]unescape|[-]encode64
|[-]decode64|[-]plain|[-]simple|[-]script|[-]pretty
|[-]docsum|[-]pubmed

DESCRIPTION
transmute reads data from standard input, transforms it according to the specified mode, and writes the transformed data document to standard output.

OPTIONS

[-]escape
    Compress runs of spaces, and URI-escape the result.

[-]unescape
    URI-unescape the input.

[-]decode64
    Base64-decode the input.

[-]encode64
    Base64-encode the input.

[-]plain
    Remove embedded mixed-content tags and compress runs of spaces.

[-]simple
    Remove embedded mixed-content tags and everything in between, then compress runs of spaces.

[-]script
    Remove embedded script tags and simplify whitespace, leaving newlines only between objects and runs of spaces compressed.

[-]pretty
    Simplify whitespace, leaving newlines only between objects and runs of spaces compressed.

[-]docsum
    Specialized cleanup for NCBI Entrez document summaries.

[-]pubmed
    Specialized cleanup for NCBI PubMed results.

SEE ALSO
download-pubmed(1), edirect(1), efetch(1), j2x(1), xtract(1).